/**
* @file
* Preview image behavoir for layout settings fields.
*
*/
(function ($, Drupal) {
  Drupal.behaviors.drowl_layouts_settings = {
    attach: function (context, settings) {
      $('.form-item--with-value-preview.js-form-type-select', context).each(function(){
        var $form_item = $(this);
        var $form_item_element = $form_item.find('.form-select:first');
        // Set initial value
        $form_item.attr('data-value-preview', $form_item_element.val());
        $form_item_element.on('change', function(){
          $form_item.attr('data-value-preview', $(this).children('option:selected').val());
        });
      });
    }
  }
})(jQuery, Drupal);