<?php

namespace Drupal\drowl_layouts\Plugin\Layout;

use Drupal\Core\Plugin\PluginFormInterface;
use Drupal\drowl_layouts\Plugin\Layout\DrowlLayoutsMultiWidthLayoutBase;

/**
 * Configurable multi column layout plugin class, for all layouts > 3 columns.
 *
 * @internal
 *   Plugin classes are internal.
 */
class DrowlLayoutsMultiColumnLayout extends DrowlLayoutsMultiWidthLayoutBase implements PluginFormInterface {

  /**
   * {@inheritdoc}
   */
  protected function getWidthOptions() {
    return [
      'fixed' => 'Fixed',
      'auto'  => 'Automatic',
    ];
  }
}
